Bug 1023879 - Review Request: php-solarium - Solarium PHP Solr client library
Review Request: php-solarium - Solarium PHP Solr client library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 04:06 EDT by Remi Collet
Modified: 2014-01-18 13:19 EST (History)
2 users (show)

See Also:
Fixed In Version: php-solarium-3.1.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (80.27 KB, text/x-log)
2013-12-27 17:01 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.01 KB, text/plain)
2013-12-27 17:02 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-10-28 04:06:40 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/cdcd2259e64b462ff8e403ea2296924e0819c7c6/php/php-solarium/php-solarium.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-solarium-3.1.2-1.remi.src.rpm
Description: 
Solarium is a PHP Solr client library that accurately model Solr concepts.

Where many other Solr libraries only handle the communication with Solr,
Solarium also relieves you of handling all the complex Solr query parameters
using a well documented API.

Documentation: http://wiki.solarium-project.org/

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2013-12-27 17:01:05 EST
Created attachment 842492 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 2 Shawn Iwinski 2013-12-27 17:02:48 EST
Created attachment 842493 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1023879
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2013-12-27 17:05:11 EST
Issue: Is EPEL-5 among your target distributions for this pkg? If so, need to make sure all EPEL-5 elements are present.  If not, please remove the EPEL-5 elements that are present.
Comment 4 Shawn Iwinski 2013-12-27 17:47:06 EST
Also:
* Replace "php-pear(pear.symfony.com/EventDispatcher)" with "php-symfony-eventdispatcher" since that pkg is not PEAR-based any more
* You may want to add a max version of "php-symfony-eventdispatcher"
Comment 5 Remi Collet 2013-12-28 00:53:28 EST
Notice: there is nothing in the Guildelines which forbid the use of Buildroot tag ;) even is it is now unneeded. Well, I'm used to clean them during initial import (I need them for my repo), so:

Changes: https://github.com/remicollet/remirepo/commit/8808190097d74a5318b22e57ae25c1ff8af1c2c4

Spec: https://raw.github.com/remicollet/remirepo/8808190097d74a5318b22e57ae25c1ff8af1c2c4/php/php-solarium/php-solarium.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-solarium-3.1.2-2.remi.src.rpm
Comment 6 Shawn Iwinski 2013-12-28 03:20:33 EST
===== MUST items =====
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

===== SHOULD items =====
[x]: Buildroot is not present
     Note: Buildroot: present but not needed



"php-pear(pear.symfony.com/EventDispatcher)" => "php-symfony-eventdispatcher"



Issues fixed.  No blockers.

===== APPROVED =====
Comment 7 Remi Collet 2013-12-28 03:23:21 EST
Thanks again !

New Package SCM Request
=======================
Package Name: php-solarium
Short Description: Solarium PHP Solr client library
Owners: remi
Branches: f19 f20 el6
InitialCC:
Comment 8 Jens Petersen 2014-01-02 07:20:45 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-01-02 09:22:50 EST
php-solarium-3.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-solarium-3.1.2-2.el6
Comment 10 Fedora Update System 2014-01-02 09:23:00 EST
php-solarium-3.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-solarium-3.1.2-2.fc20
Comment 11 Fedora Update System 2014-01-02 09:23:10 EST
php-solarium-3.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-solarium-3.1.2-2.fc19
Comment 12 Fedora Update System 2014-01-02 18:14:05 EST
php-solarium-3.1.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2014-01-11 03:31:46 EST
php-solarium-3.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2014-01-11 03:39:41 EST
php-solarium-3.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-01-18 13:19:12 EST
php-solarium-3.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.